Bug 1011400 - 500 Server Error when running 'bkr policy-grant' to wrong group/user
500 Server Error when running 'bkr policy-grant' to wrong group/user
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
develop
Unspecified Unspecified
medium Severity medium (vote)
: 0.15.3
: ---
Assigned To: Amit Saha
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 04:14 EDT by wangjing
Modified: 2015-07-26 18:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-02 23:52:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 Amit Saha 2013-12-14 08:16:26 EST
http://gerrit.beaker-project.org/#/c/2616/1
Comment 4 wangjing 2013-12-24 03:20:37 EST
verified on beaker-devel(beaker-server-0.15.3-0.git.6.14ebabb.el6eng.noarch)-->pass

step:
1. run:
#bkr policy-grant  --system=dev-kvm-guest-09.rhts.eng.bos.redhat.com  --permission=edit_policy --group=sha
HTTP error: 400 Client Error: BAD REQUEST
Group 'sha' does not exist[root@dhcp-10-121 beakernew]# 
[root@dhcp-10-121 beakernew]# 
[root@dhcp-10-121 beakernew]# bkr policy-grant  --system=dev-kvm-guest-09.rhts.eng.bos.redhat.com  --permission=edit_policy --user=sha
HTTP error: 400 Client Error: BAD REQUEST
User 'sha' does not exist[root@dhcp-10-121 beakernew]# 

Actual results:
same as expected results.


Expected results:
proper messages.
Comment 5 Nick Coghlan 2014-02-02 23:52:18 EST
This change is included in the Beaker 0.15.3 maintenance release:

http://beaker-project.org/docs/whats-new/release-0.15.html#beaker-0-15-3

Note You need to log in before you can comment on or make changes to this bug.